#
# spec file for package perl-SQL-ReservedWords
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SQL-ReservedWords
Version:        0.8
Release:        lp151.2.1
%define cpan_name SQL-ReservedWords
Summary:        Reserved SQL words by ANSI/ISO
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/SQL-ReservedWords/
Source:         http://www.cpan.org/authors/id/C/CH/CHANSEN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.4000
BuildRequires:  perl(Sub::Exporter)
Requires:       perl(Sub::Exporter)
%{perl_requires}

%description
Determine if words are reserved by ANSI/ISO SQL standard.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README scripts

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.8
  - Added DB2 version 9 (Colin.Raybould@googlemail.com) RT#55070
  - Fixed sqlrw command (olaf@wundersolutions.com) RT#28367
* Sun Nov 13 2011 coolo@suse.com
- spec cleanup
* Thu Feb 17 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs
- needed by Rose:DB
* Thu Feb 17 2011 jw@novell.com
- initial package 0.7
  * created by cpanspec 1.78.03
